mp3splt-gtk: src/splitpoints_window.h File Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
splitpoints_window.h File Reference
`#include "all_includes.h"`
Include dependency graph for splitpoints_window.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | { COL_CHECK = 0 , COL_DESCRIPTION = 1 , COL_MINUTES = 2 , COL_SECONDS = 3 , COL_HUNDR_SECS = 4 , COL_NUMBER = 5 , COL_PREVIEW = 6 , COL_SPLIT_PREVIEW = 7 , COL_TITLE = 8 , COL_ARTIST = 9 , COL_ALBUM = 10 , COL_GENRE = 11 , COL_YEAR = 12 , COL_TRACK = 13 , COL_COMMENT = 14 , NUM_COLUMNS = 15 }

## Functions
void | add_row (gint checked, ui_state *ui)
void | add_splitpoint_from_player (GtkWidget *widget, ui_state *ui)
void | clear_current_description (ui_state *ui)
void | copy_filename_to_current_description (const gchar *fname, ui_state *ui)
void | create_detect_silence_and_add_splitpoints_window (GtkWidget *button, ui_state *ui)
GtkWidget * | create_splitpoints_frame (ui_state *ui)
void | create_trim_silence_window (GtkWidget *button, ui_state *ui)
gint | get_first_splitpoint_selected (gui_state *gui)
gchar * | get_splitpoint_name (gint index, ui_state *ui)
gint | get_splitpoint_time (gint this_splitpoint, ui_state *ui)
points_and_tags * | get_splitpoints_and_tags_for_mp3splt_state (ui_state *ui)
void | remove_all_rows (GtkWidget *widget, ui_state *ui)
void | remove_splitpoint (gint index, gint stop_preview, ui_state *ui)
void | select_splitpoint (gint index, gui_state *gui)
void | update_hundr_secs_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_minutes_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_seconds_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_splitpoint (gint index, Split_point new_point, ui_state *ui)
void | update_splitpoint_check (gint index, ui_state *ui)
void | update_splitpoint_from_time (gint index, gdouble time, ui_state *ui)

## Detailed Description

header of splitpoints_window.c

Definition in file splitpoints_window.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

The enum telling which item is kept in which column of the splitpoint tree.

Definition at line 44 of file splitpoints_window.h.

## Function Documentation

## ◆ add_splitpoint_from_player()

void add_splitpoint_from_player | ( | GtkWidget * | widget,
|  | ui_state * | ui )

Definition at line 914 of file splitpoints_window.c.

## ◆ clear_current_description()

void clear_current_description | ( | ui_state * | ui | ) |

Definition at line 791 of file splitpoints_window.c.

## ◆ copy_filename_to_current_description()

void copy_filename_to_current_description | ( | const gchar * | fname,
|  | ui_state * | ui )

Definition at line 796 of file splitpoints_window.c.

## ◆ create_detect_silence_and_add_splitpoints_window()

void create_detect_silence_and_add_splitpoints_window | ( | GtkWidget * | button,
|  | ui_state * | ui )

event for clicking the 'detect silence and add splitpoints' button

Definition at line 1179 of file splitpoints_window.c.

## ◆ create_splitpoints_frame()

GtkWidget * create_splitpoints_frame | ( | ui_state * | ui | ) |

creates the choose splitpoints frame

This frame contains the spinners, arrows, the tree, add, remove buttons

Definition at line 2086 of file splitpoints_window.c.

## ◆ create_trim_silence_window()

void create_trim_silence_window | ( | GtkWidget * | button,
|  | ui_state * | ui )

Definition at line 1125 of file splitpoints_window.c.

## ◆ get_first_splitpoint_selected()

gint get_first_splitpoint_selected | ( | gui_state * | gui | ) |

Gets the number of the first splitpoint with selected "Keep" checkbox.

Definition at line 264 of file splitpoints_window.c.

Referenced by remove_splitpoint(), and update_splitpoint().

Here is the caller graph for this function:

## ◆ get_splitpoint_name()

gchar * get_splitpoint_name | ( | gint | index,
|  | ui_state * | ui )

returns the name of the splitpoint

result must be g_free'd after use

Definition at line 1488 of file splitpoints_window.c.

Referenced by check_update_down_progress_bar(), and update_splitpoint().

Here is the caller graph for this function:

## ◆ get_splitpoint_time()

gint get_splitpoint_time | ( | gint | this_splitpoint,
|  | ui_state * | ui )

returns a splitpoint from the table

Definition at line 1519 of file splitpoints_window.c.

Referenced by player_quick_preview().

Here is the caller graph for this function:

## ◆ get_splitpoints_and_tags_for_mp3splt_state()

points_and_tags * get_splitpoints_and_tags_for_mp3splt_state | ( | ui_state * | ui | ) |

Definition at line 2143 of file splitpoints_window.c.

## ◆ remove_all_rows()

void remove_all_rows | ( | GtkWidget * | widget,
|  | ui_state * | ui )

removes all rows from the table

Definition at line 1355 of file splitpoints_window.c.

References cancel_quick_preview_all(), check_update_down_progress_bar(), and remove_status_message().

Referenced by update_splitpoints_from_mp3splt_state().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ remove_splitpoint()

void remove_splitpoint | ( | gint | index,
|  | gint | stop_preview,
|  | ui_state * | ui )

removes a splitpoint

Parameters

  index | Number of the split point
  stop_preview | means we stop preview if necessary

Definition at line 422 of file splitpoints_window.c.

References cancel_quick_preview_all(), check_update_down_progress_bar(), get_first_splitpoint_selected(), and remove_status_message().

Referenced by update_splitpoint().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ select_splitpoint()

void select_splitpoint | ( | gint | index,
|  | gui_state * | gui )

selects a splitpoint

Definition at line 355 of file splitpoints_window.c.

References remove_status_message().

Here is the call graph for this function:

## ◆ update_hundr_secs_from_spinner()

void update_hundr_secs_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui )

updates the hundredth of seconds for the spinner

Definition at line 123 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

Here is the caller graph for this function:

## ◆ update_minutes_from_spinner()

void update_minutes_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui )

updates the minutes from the spinner

Definition at line 109 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

Here is the caller graph for this function:

## ◆ update_seconds_from_spinner()

void update_seconds_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui )

updates the seconds from the spinner

Definition at line 116 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

Here is the caller graph for this function:

## ◆ update_splitpoint()

void update_splitpoint | ( | gint | index,
|  | Split_point | new_point,
|  | ui_state * | ui )

Set all values of a split point.

Parameters

  new_point | All values for this split point
  index | The number of this split point

Will display an error in the message bar if a splitpoint with a different index number with exactly the same time value exists and otherwise update the split point.

Definition at line 691 of file splitpoints_window.c.

References get_first_splitpoint_selected(), get_splitpoint_name(), put_status_message(), and remove_splitpoint().

Referenced by update_splitpoint_check(), and update_splitpoint_from_time().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ update_splitpoint_check()

void update_splitpoint_check | ( | gint | index,
|  | ui_state * | ui )

Toggles a splitpoint's "Keep" flag.

Parameters

  index | is the position in the GArray with splitpoints aka the split point's number

Definition at line 784 of file splitpoints_window.c.

References update_splitpoint().

Here is the call graph for this function:

## ◆ update_splitpoint_from_time()

void update_splitpoint_from_time | ( | gint | index,
|  | gdouble | time,
|  | ui_state * | ui )

Set a splitpoint's time value.

Parameters

  index | The split point's number
  time | the new time value

Definition at line 769 of file splitpoints_window.c.

References get_hundr_secs_mins_time(), and update_splitpoint().

Here is the call graph for this function: